Subject: Power hacksaw kits

From: [email-masked] (D.D. )
Date: 9 Jun 1995 14:17:56 GMT

A number of years ago a company (Struck?) sold power hacksaw casting
kits, mainly for schools to use but also to the public. If I remember
right the kit would produce a small and serviceable machine. Does
anyone know of such kits today? I've seen the Gingery book on building
a power hacksaw and for the size a band saw would be better.